3 Silver

snapview 26 and navicli 24

Jump to solution
Hello,

We are upgrading the FLARE code from FLARE 19 to FLARE 26 on our cx-700 this weekend. We use snapview and I know that the snapview enabler will also be upgraded to FLARE 26. I know that java goes away after FLARE 24, however, I do not want to rewirte my scripts or use naviseccli. Right now I use java -jar navicli.jar and want to keep it that way if possible. Can I use navicli version 24 with snapview 26? The cx-700 will be decommissioned in a about ten months or put on the reseller market due to a merger and so it's not like we really need to do this other than management wants to do it.

Thanks Happyadm!
Labels (1)
0 Kudos
1 Solution

Accepted Solutions
4 Ruthenium

Re: snapview 26 and navicli 24

Jump to solution
Sorry about that, I was thinking Windows. It retained the packages on the Windows upgrade from what I remembered.

You can use version 24 of the navicli package with FLARE 26, and you actually may be able to use version 19 of the navicli package. Dig around in some of the release notes. I forget where it is exactly, but one of the release notes documents states the supported navicli levels.

View solution in original post

0 Kudos
6 Replies
4 Ruthenium

Re: snapview 26 and navicli 24

Jump to solution
Hey Happy,
I believe with the installer program it gives you the option to leave that java and classic cli environments in place when you upgrade to release 26 cli. Try it on a test box...

Aran
0 Kudos
3 Silver

Re: snapview 26 and navicli 24

Jump to solution
Thank you Aran,

I tried that and the error message I got was that only one instance of NAVICLI can exist at one time when I did the Solaris Pkgadd without removing the NAVICLI 24 version. If I do a pkgrm then the java jar files automatically get deleted.

Happyadm
0 Kudos
4 Ruthenium

Re: snapview 26 and navicli 24

Jump to solution
Sorry about that, I was thinking Windows. It retained the packages on the Windows upgrade from what I remembered.

You can use version 24 of the navicli package with FLARE 26, and you actually may be able to use version 19 of the navicli package. Dig around in some of the release notes. I forget where it is exactly, but one of the release notes documents states the supported navicli levels.

View solution in original post

0 Kudos
4 Ruthenium

Re: snapview 26 and navicli 24

Jump to solution
Happy,
Found it! On Powerlink go to Support > Interoperability and Product Lifecycle Information > E-Lab Interoperability Navigator the select "Launch E-Lab Interoperability Navigator". Navigate to the "PDFs and Guides" tab, scroll down to the Storage Management Software section and download the Navisphere Java CLI pdf. In it you will see that Java CLI 6.19 and 6.24 are supported on FLARE 26 for the Cx700. You are good to go!

Aran
0 Kudos
3 Silver

Re: snapview 26 and navicli 24

Jump to solution
Thank you soooooo much Aran!! You have made my day!!

Happyadm
0 Kudos
4 Ruthenium

Re: snapview 26 and navicli 24

Jump to solution
One of the great things about Powerlink is the amount of information, the trick is sometimes in finding it :D

Remember that location, the PDFs and Guides section of e-lab is a quick reference for interoperability of all the major components of the SAN.
0 Kudos